Message: 09070004 Script url /bulk/import does not map to a Web Script.

33 views
Skip to first unread message

Joaquim Onsins

unread,
Oct 8, 2018, 2:12:56 AM10/8/18
to Alfresco Bulk Import Tool

I have installed AMP, I suppose, fine installed, because "list" commands show me this:

_Module 'org.alfresco.extension.alfresco-bulk-import' installed in '/opt/alfresco-community/tomcat/webapps/alfresco.war'

  • Title: Alfresco Bulk Import v2.1.0 (for Alfresco v5.0+)
  • Version: 2.1.0
  • Install Date: Sun Oct 07 19:40:12 CEST 2018
  • Description: Alfresco Bulk Import tool. Provides high performance bulk loading of content into Alfresco._

but when I try to run,does not work:

The Web Script /alfresco/s/bulk/import has responded with a status of 404 - Not Found.
404 Description: | Requested resource is not available.
Message: 09070004 Script url /bulk/import does not map to a Web Script.

Please, can anyone help me?... I'm new alfresco user

Peter Monks

unread,
Nov 21, 2018, 12:04:11 PM11/21/18
to alfresco-bulk-f...@googlegroups.com
G'day Joaquim,

Can you try adding a "/" to the end of the URL?   i.e. /alfresco/s/bulk/import/

I can't remember the exact rules, but Web Scripts in Alfresco are pedantic about trailing slashes and you'll get 404s if you get it wrong.  FWIW I raised a bug on this years ago, but it got closed as "won't fix"...

If that doesn't work, it's probable that either:
  1. the AMP isn't properly deployed, despite what the list command is showing 
  2. you're running on a newer version of Alfresco than version 5 (the last version the tool was tested on), and have uncovered a backwards compatibility breaking change in Alfresco's AMP system in that newer version
Cheers,
Peter
--


--
You received this message because you are subscribed to the Google Groups "Alfresco Bulk Import Tool" group.
To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesys...@googlegroups.com.
To post to this group, send email to alfresco-bulk-f...@googlegroups.com.
Visit this group at https://groups.google.com/group/alfresco-bulk-filesystem-import.
For more options, visit https://groups.google.com/d/optout.

Joaquim Onsins

unread,
Nov 26, 2018, 1:28:10 PM11/26/18
to alfresco-bulk-f...@googlegroups.com
I tried with Alfresco 5.0 and works fine

Missatge de Peter Monks <pmo...@gmail.com> del dia dc., 21 de nov. 2018 a les 18:04:


--

Joaquim Onsins

Peter Monks

unread,
Dec 19, 2018, 2:22:00 PM12/19/18
to alfresco-bulk-f...@googlegroups.com
hmmm...........that's unfortunate as it suggests Alfresco broke backwards compatibility.

I hope to update and retest the tool on Alfresco v6+ in the new year, but if anyone has the time & interest to do so sooner than that, PRs would be welcome!

Cheers,
Peter



Ugo Boscolo

unread,
May 21, 2019, 11:23:37 AM5/21/19
to Alfresco Bulk Import Tool
Hi all,
this afternoon I tried to install the .amp on Alfresco 6.0.2 and I can confirm that this version is not compatible. I received the following message:
"An error was encountered during deployment of the AMP into the WAR: 04210000 The module (Alfresco Bulk Import v2.1.0 (for Alfresco v5.0+)) cannot be installed on a war version greater than 5.99.99. This war is version: 6.0.2."

Cheers,

Ugo
To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesystem-import+unsubscribe@googlegroups.com.
To post to this group, send email to alfresco-bulk-filesystem-imp...@googlegroups.com.

--
You received this message because you are subscribed to the Google Groups "Alfresco Bulk Import Tool" group.
To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesystem-import+unsubscribe@googlegroups.com.
To post to this group, send email to alfresco-bulk-filesystem-imp...@googlegroups.com.


--

Joaquim Onsins

--
You received this message because you are subscribed to the Google Groups "Alfresco Bulk Import Tool" group.
To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesystem-import+unsubscribe@googlegroups.com.
To post to this group, send email to alfresco-bulk-filesystem-imp...@googlegroups.com.

Peter Monks

unread,
May 21, 2019, 5:00:13 PM5/21/19
to alfresco-bulk-f...@googlegroups.com
That error is a result of the module.properties file inside the AMP file specifying that 5.99.99 is the highest compatible version (since, at the time the AMP was packaged, the current version of Alfresco was 5.0).

To truly test whether the AMP is compatible with Alfresco 6 or not, you need to set the module.repo.version.max setting within the module.properties file, within the AMP file to at least 6.0.2 (and for ease of testing, 6.99.99 may be a good value to use).

That said, the original error reported by Joaquim indicates that he had already made this change and was running into a backwards compatibility breaking change in Alfresco 6.0.  This isn't remotely surprising, as Alfresco has had somewhat of a loose relationship with backwards compatibility over the years...

Cheers,
Peter




To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesys...@googlegroups.com.
To post to this group, send email to alfresco-bulk-f...@googlegroups.com.

--
You received this message because you are subscribed to the Google Groups "Alfresco Bulk Import Tool" group.
To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesys...@googlegroups.com.
To post to this group, send email to alfresco-bulk-f...@googlegroups.com.


--

Joaquim Onsins

--
You received this message because you are subscribed to the Google Groups "Alfresco Bulk Import Tool" group.
To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesys...@googlegroups.com.
To post to this group, send email to alfresco-bulk-f...@googlegroups.com.

--
You received this message because you are subscribed to the Google Groups "Alfresco Bulk Import Tool" group.
To unsubscribe from this group and stop receiving emails from it, send an email to alfresco-bulk-filesys...@googlegroups.com.
To post to this group, send email to alfresco-bulk-f...@googlegroups.com.

Ugo Boscolo

unread,
May 23, 2019, 2:53:53 AM5/23/19
to alfresco-bulk-f...@googlegroups.com
Thank you so much for your feedback, Peter. At the end, following your instructions (actually I should have read more carefully your documentation before asking, because the change on the module.repo.version.max setting in the module.properties file was already well described... sorry) I observed the same behaviour reported by Joaquim.

Cheers,
Ugo



ghilas yahia

unread,
Jul 27, 2020, 9:43:11 AM7/27/20
to Alfresco Bulk Import Tool
Bonjour à tous
j'ai pas pu installer bulk
es ce que quelqu'un peut me donner la méthode exacte svp
je suis nouveau sur alfresco
Reply all
Reply to author
Forward
0 new messages